Move to next entry

- « ArrayIterator::natsort

- ArrayIterator::offsetExists »

- PHP Manual
- ArrayIterator
- Move to next entry

# ArrayIterator::next

(PHP 5, PHP 7, PHP 8)

ArrayIterator::next — Move to next entry

### Description

public ArrayIterator::next(): void

The iterator to the next entry.

### Parameters

This function has no parameters.

### Return Values

No value is returned.

### Examples

Example #1 ArrayIterator::next() example

    <?php
    $arrayobject = new ArrayObject();

    $arrayobject[] = 'zero';
    $arrayobject[] = 'one';

    $iterator = $arrayobject->getIterator();

    while($iterator->valid()) {
        echo $iterator->key() . ' => ' . $iterator->current() . "\n";

        $iterator->next();
    }
    ?>

The above example will output:

    0 => zero
    1 => one